//Techno With Ranula
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

#define SOIL_MOISTURE_PIN A0
#define RELAY_PIN 2

LiquidCrystal_I2C lcd(0x27, 16, 2);  // Adjust the I2C address if needed

void setup() {
  pinMode(RELAY_PIN, OUTPUT);
  digitalWrite(RELAY_PIN, LOW); // Ensure pump is off initially


  lcd.init();  
  lcd.backlight();
  lcd.print("Watering System!");
  delay(2000); // Show title for 2 seconds
  lcd.clear();
}

void loop() {
  int moistureLevel = analogRead(SOIL_MOISTURE_PIN);
  lcd.setCursor(0, 0);
  lcd.print("Moisture: ");
  lcd.print(moistureLevel);

  if (moistureLevel > 400) { // Adjust threshold as needed
    lcd.setCursor(0, 1);
    lcd.print("Watering...  ");
    digitalWrite(RELAY_PIN, LOW); // Turn on pump
  } else {
    lcd.setCursor(0, 1);
    lcd.print("Dry enough   ");
    digitalWrite(RELAY_PIN, HIGH); // Turn off pump
  }

  delay(2000); // Wait for 2 seconds before next reading
}
